# yaspeller

Средство проверок и исправления опечаток в тексте.

Используется API [Yandex.Speller](https://tech.yandex.ru/speller/doc/dg/concepts/About-docpage/).

## Установка

Установка пакета из opm.
Затем из командной строки:
```
opm install yaspeller
```

Установка пакета через файл. Качаем последний релиз со страницы [Релизы](https://github.com/pallid/yaspeller/releases "Релизы").
Затем из командной строки:
```
opm install -f yaspeller*.ospx
```

## Примеры

```bsl
Спелчек = Новый Yaspeller();
МассивОшибок = Спелчек.ПроверитьТекст("Превет");
	
Если МассивОшибок.Количество() = 0 Тогда
    Сообщить("Нет ошибок.");
Иначе
    Для Каждого СтрокаМассива Из МассивОшибок Цикл
        Шаблон = "Слово %1 написано неверное, возможные варианты: %2";
        Сообщение = СтрШаблон(Шаблон, СтрокаМассива.ИсходноеСлово,
		              СтрокаМассива.ПодсказкиСтрокой(", "));
        Сообщить(Сообщение);
    КонецЦикла;
КонецЕсли;

//Результат:
//Слово Превет написано неверно, возможные варианты: Привет, Приват, Превед
```

```bsl
ВходныеДанные = "Превет, как у тябя дела?
		|У тябя все харашо?";
Результат = ManagerYaspeller.ПолучитьИсправленныйТекст(ВходныеДанные);

//Результат:
//Привет, как у тебя дела
//У тебя все хорошо?
```

## [Ограничения API Яндекс.Спеллера](http://legal.yandex.ru/speller_api/)
